Bug 1305562 - git-annex operations fail on armv7hl with ghc internal error
git-annex operations fail on armv7hl with ghc internal error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git-annex (Show other bugs)
23
armv7hl Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 10:07 EST by Sten Turpin
Modified: 2016-12-27 01:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:32:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (7.66 KB, text/plain)
2016-02-08 10:07 EST, Sten Turpin
no flags Details

  None (edit)
Description Sten Turpin 2016-02-08 10:07:59 EST
Created attachment 1122184 [details]
strace

Description of problem: git-annex operations on F23 on ARM v7 hardware (tested on a RPi2 and PCDuino Nano 3) fail with a ghc internal error.


Version-Release number of selected component (if applicable): git-annex-5.20140717-7.fc23.armv7hl


How reproducible: always on ARM, can't reproduce on x86_64


Steps to Reproduce:
1. git init .; git annex init

Actual results:
[sten@shell01 test]$ git init .
Initialized empty Git repository in /home/sten/test/.git/
[sten@shell01 test]$ git annex init 
init  ok
git-annex: internal error: evacuate(static): strange closure type 63504
    (GHC version 7.8.4 for arm_unknown_linux)
    Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug
error: git-annex died of signal 6


Expected results:
git-annex should not die unexpectedly. 

Additional info:
attached strace
Comment 1 Jens Petersen 2016-02-10 00:33:10 EST
This is likely a ghc compiler bug/issue - I think there are some remaining problems still with ghc on armv7.  Not sure if ghc-7.10 is any
better... If you wanted to test that I could do a scratch build
(copr doesn't have ARM yet).
Though ghc upstream has already moved on focusing on ghc 8.0 devel.

Anyway you may perhaps have more luck discussing this with upstream ghc.
Comment 2 Jens Petersen 2016-02-10 01:32:19 EST
Oh one more thing - you could try installing the debuginfo packages and running
git-annex through gdb, though to be honest you may well not get much from it,
and it might well push the limits of hardware... :)  Otherwise I can also try.

I saw a similar error though recently from the cmark-hs testsuite...
Comment 3 Fedora End Of Life 2016-11-24 10:27:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:32:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jens Petersen 2016-12-27 01:27:35 EST
Is F25 any better?  It has ghc-7.10.3.

Note You need to log in before you can comment on or make changes to this bug.